Gnome2-VFS v1.084 Perl 5 v5.12.5 x86_64-linux

Status
Unknown
From
Slaven Rezić
Dist
Gnome2-VFS v1.084
Platform
Perl 5 v5.12.5 x86_64-linux
Date
2021-01-06T07:07:21
ID
d1dfa2e0-4fed-11eb-b7c7-625d1f24ea8f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Brian Manning,

This is a computer-generated report for Gnome2-VFS-1.084
on perl 5.12.5, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/opt/perl-5.12.5/bin/perl Makefile.PL':

Package gnome-vfs-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gnome-vfs-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gnome-vfs-2.0' found
 at Makefile.PL line 37.
*** can not find package gnome-vfs-2.0 >= 2.0.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
 at Makefile.PL line 37.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.50


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LANG = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/linux-gnu:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL = /opt/perl-5.12.5/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/var/tmp/cpansmoker-1023/2021010606/CPAN-Reporter-lib-H0_S -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 25916
    PERL5_CPAN_IS_EXECUTING = /home/cpansand/.cpan/build/2021010606/Gnome2-VFS-1.084-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 25916
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 25493,25916
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_AUTOINSTALL = --defaultdeps
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2021010606/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2021010606

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /opt/perl-5.12.5/bin/perl
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.28    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280234
    ExtUtils::Command   7.50    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.50    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.75    
    JSON                4.02    
    JSON::PP            4.05    
    Module::Build       0.4231  
    Module::Signature   0.83    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.42    
    Test::More          1.302181
    YAML                1.30    
    YAML::Syck          1.33    
    version             0.9924  


--

Summary of my perl5 (revision 5 version 12 subversion 5) configuration:
   
  Platform:
    osname=linux, osvers=4.4.0-176-generic, archname=x86_64-linux
    uname='linux ubuntu16 4.4.0-176-generic #206-ubuntu smp fri feb 28 05:02:04 utc 2020 x86_64 x86_64 x86_64 gnulinux '
    config_args='-ds -e -Dprefix=/opt/perl-5.12.5 -Dcf_email=srezic@cpan.org'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='5.4.0 20160609', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.23.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.23'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP USE_64_BIT_ALL
                        USE_64_BIT_INT USE_LARGE_FILES USE_PERLIO
                        USE_PERL_ATOF
  Locally applied patches:
	Devel::PatchPerl 1.90
  Built under linux
  Compiled at Mar 31 2020 18:40:19
  %ENV:
    PERL="/opt/perl-5.12.5/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="25916"
    PERL5_CPAN_IS_EXECUTING="/home/cpansand/.cpan/build/2021010606/Gnome2-VFS-1.084-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="25916"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="25493,25916"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2021010606/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /opt/perl-5.12.5/lib/site_perl/5.12.5/x86_64-linux
    /opt/perl-5.12.5/lib/site_perl/5.12.5
    /opt/perl-5.12.5/lib/5.12.5/x86_64-linux
    /opt/perl-5.12.5/lib/5.12.5
    .